# nleurisource

NleURISource is a NleSource which reads and decodes the contents of a given file. The data in the file is decoded using any available GStreamer plugins.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──NleObject
                            ╰──NleSource
                                ╰──nleurisource

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Edward Hervey <bilboed@bilboed.com></bilboed@bilboed.com>

Classification: – `Filter/Editor`

Rank – none

Plugin – nle

Package – GStreamer Editing Services

## Pad Templates

### `src`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

## Properties

### uri

    “uri” gchararray

Uri of the file to use

Flags : Read / Write

Default value : NULL

The results of the search are